Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#12666 closed Bug Report - General (fixed)

mythpreviewgen fails - no new thumbnails for recordings

Reported by: yiannividalis@… Owned by: JYA
Priority: minor Milestone: unknown
Component: MythTV - Mythpreviewgen Version: Master Head
Severity: medium Keywords:
Cc: Ticket locked: no

Description

Hi,

After upgrading from e4fface (before ffmpeg3) to 76cd458, my recordings don't have thumbnails, either in frontend or in mythweb. This happens both to my main system (MBE + SBE) and a laptop I can use as a test MBE.

On my main system, while refreshing the mythweb recorded page, the system log shows:

Feb 25 10:41:31 storage mythpreviewgen[11294]: mythpreviewgen[11294]: C thread_unknown mythcommandlineparser.cpp:2599 (ConfigureLogging) mythpreviewgen version: master [v0.28-pre-3612-g76cd458-dirty] www.mythtv.org
Feb 25 10:41:31 storage mythpreviewgen[11294]: mythpreviewgen[11294]: C thread_unknown mythcommandlineparser.cpp:2601 (ConfigureLogging) Qt version: compile: 5.4.2, runtime: 5.4.2
Feb 25 10:41:31 storage mythpreviewgen[11294]: mythpreviewgen[11294]: N thread_unknown mythcommandlineparser.cpp:2603 (ConfigureLogging) Enabled verbose msgs:  general
Feb 25 10:41:31 storage mythpreviewgen[11294]: mythpreviewgen[11294]: E CoreContext main.cpp:81 (preview_helper) Setting priority failed.
                                                                          eno: Access denied (13)
Feb 25 10:41:31 storage mythpreviewgen[11295]: mythpreviewgen[11295]: C thread_unknown mythcommandlineparser.cpp:2599 (ConfigureLogging) mythpreviewgen version: master [v0.28-pre-3612-g76cd458-dirty] www.mythtv.org
Feb 25 10:41:31 storage mythpreviewgen[11295]: mythpreviewgen[11295]: C thread_unknown mythcommandlineparser.cpp:2601 (ConfigureLogging) Qt version: compile: 5.4.2, runtime: 5.4.2
Feb 25 10:41:31 storage mythpreviewgen[11295]: mythpreviewgen[11295]: N thread_unknown mythcommandlineparser.cpp:2603 (ConfigureLogging) Enabled verbose msgs:  general
Feb 25 10:41:31 storage mythpreviewgen[11295]: mythpreviewgen[11295]: E CoreContext main.cpp:81 (preview_helper) Setting priority failed.
                                                                          eno: Access denied (13)
Feb 25 10:41:34 storage mythpreviewgen[11347]: mythpreviewgen[11347]: C thread_unknown mythcommandlineparser.cpp:2599 (ConfigureLogging) mythpreviewgen version: master [v0.28-pre-3612-g76cd458-dirty] www.mythtv.org
Feb 25 10:41:34 storage mythpreviewgen[11347]: mythpreviewgen[11347]: C thread_unknown mythcommandlineparser.cpp:2601 (ConfigureLogging) Qt version: compile: 5.4.2, runtime: 5.4.2
Feb 25 10:41:34 storage mythpreviewgen[11347]: mythpreviewgen[11347]: N thread_unknown mythcommandlineparser.cpp:2603 (ConfigureLogging) Enabled verbose msgs:  general
Feb 25 10:41:34 storage mythpreviewgen[11347]: mythpreviewgen[11347]: E CoreContext main.cpp:81 (preview_helper) Setting priority failed.
                                                                          eno: Access denied (13)
Feb 25 10:41:35 storage mythbackend[9890]: 2016-02-25 10:41:35.202577 E  Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png' - (128)
Feb 25 10:41:35 storage mythbackend[9890]: mythbackend[9890]: E HttpServer88 previewgenerator.cpp:275 (Run) Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png' - (128)
Feb 25 10:41:35 storage mythbackend[9890]: 2016-02-25 10:41:35.402917 E  Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2005 --starttime 20160224190900 --outfile /myth/tvstorage/2005_20160224190900.ts.png' - (128)
Feb 25 10:41:35 storage mythbackend[9890]: mythbackend[9890]: E HttpServer85 previewgenerator.cpp:275 (Run) Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2005 --starttime 20160224190900 --outfile /myth/tvstorage/2005_20160224190900.ts.png' - (128)
Feb 25 10:41:36 storage mythbackend[9890]: 2016-02-25 10:41:36.204044 E  Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2020 --starttime 20160224175900 --outfile /myth/tvstorage/2020_20160224175900.ts.png' - (128)
Feb 25 10:41:36 storage mythbackend[9890]: mythbackend[9890]: E HttpServer81 previewgenerator.cpp:275 (Run) Preview: Encountered problems running '/usr/bin/mythpreviewgen --size 0x0 --chanid 2020 --starttime 20160224175900 --outfile /myth/tvstorage/2020_20160224175900.ts.png' - (128)

No other software or hardware change has taken place on either system, only the mythtv update.

> mythfrontend --version
Please attach all output as a file in bug reports.
MythTV Version : v0.28-pre-3612-g76cd458-dirty
MythTV Branch : master
Network Protocol : 88
Library API : 0.28.20160222-1
QT Version : 5.4.2
Options compiled in:
 linux profile using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_frontend using_vbox using_ceton using_hdpvr using_libcrypto using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xrandr using_xv using_profiletype using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_vaapi using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2

Attachments (8)

mwutf8.diff (1.9 KB) - added by yiannividalis@… 4 years ago.
converts some strings in mythweb to utf for Greek
mytharchive-master.diff (1.6 KB) - added by yiannividalis@… 4 years ago.
patch for mytharchive, I found it in a ticket
mythweb-GreekDateformats.diff (484 bytes) - added by yiannividalis@… 4 years ago.
mythweb date formats and minor translation correction, I should ask for it to be included in master
nova-eit_and_greek_eit.diff (1.4 KB) - added by yiannividalis@… 4 years ago.
eitfixup for my sat provider
mythpreviewgen.20160225111727.14556.log.gz (178.1 KB) - added by yiannividalis@… 4 years ago.
/usr/bin/mythpreviewgen --loglevel debug --size 130x170 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png -v all --logpath /var/log/mythtv
mythpreviewgen.20160225123303.16075.log (46.0 KB) - added by Yianni Vidalis <yiannividalis@…> 4 years ago.
/usr/bin/mythpreviewgen --size 0x0 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png -v playback,libav --loglevel debug --logpath /var/log/mythtv
mythavutil.cpp (9.3 KB) - added by yiannividalis@… 4 years ago.
mythavutil.cpp
config.h (65.3 KB) - added by Yianni Vidalis <yiannividalis@…> 4 years ago.
mythtv/config.h

Download all attachments as: .zip

Change History (71)

comment:1 Changed 4 years ago by yiannividalis@…

Just in case it wasn't obvious, I can see older thumbnails, it the newer ones that don't get created.

comment:2 Changed 4 years ago by stuartm

Although it may not seem relevant, please include details of the patches you are using.

comment:3 Changed 4 years ago by yiannividalis@…

I will, however, on the test laptop, I don't use any patches and I have the same problem.

> mythfrontend --version
Please attach all output as a file in bug reports.
MythTV Version : v0.28-pre-3611-ge3fe0b7
MythTV Branch : master
Network Protocol : 88
Library API : 0.28.20160222-1
QT Version : 5.5.1
Options compiled in:
 linux profile using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_frontend using_vbox using_ceton using_hdpvr using_ivtv using_libcrypto using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xrandr using_xv using_profiletype using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_ffmpeg_threads using_mheg using_libxml2

Changed 4 years ago by yiannividalis@…

Attachment: mwutf8.diff added

converts some strings in mythweb to utf for Greek

Changed 4 years ago by yiannividalis@…

Attachment: mytharchive-master.diff added

patch for mytharchive, I found it in a ticket

Changed 4 years ago by yiannividalis@…

mythweb date formats and minor translation correction, I should ask for it to be included in master

Changed 4 years ago by yiannividalis@…

Attachment: nova-eit_and_greek_eit.diff added

eitfixup for my sat provider

comment:4 Changed 4 years ago by JYA

Just to be clear, this is with master, not fixes/0.28??

Because your git describe indicates 0.28

comment:5 Changed 4 years ago by yiannividalis@…

Yes, I only use the master repo. On the main system:

> git branch
* master
> git describe
v0.28-pre-3612-g76cd458

On the test laptop:

> git branch
* master
> git describe
v0.28-pre-3611-ge3fe0b7

Before each upgrade I run git --reset --hard and git --pull

And I've also tried removing the whole 'mythtv' and 'mythplugins' folders before running 'git --reset --hard', as well as 'make uninstall' and also manually removing the mythtv folders and files under the installation folders.

comment:6 Changed 4 years ago by JYA

Hmmm. I had particularly tested mythpreviewgen as it uses the new deinterlacer. When you run the mythpreviewgen command manually with the same arguments as what appears in the log. What do you get?

comment:7 Changed 4 years ago by yiannividalis@…

No error shows, but it's strange that the dimensions requested are 0x0. I've also tried with 130x70 (randomly) without success.

> /usr/bin/mythpreviewgen --size 0x0 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png
2016-02-25 12:47:06.099804 C  mythpreviewgen version: master [v0.28-pre-3612-g76cd458-dirty] www.mythtv.org
2016-02-25 12:47:06.099834 C  Qt version: compile: 5.4.2, runtime: 5.4.2
2016-02-25 12:47:06.099838 N  Enabled verbose msgs:  general
2016-02-25 12:47:06.099851 N  Setting Log Level to LOG_INFO
2016-02-25 12:47:06.110378 I  Added logging to the console
2016-02-25 12:47:06.110675 I  Setup Διακοπή handler (--tr: interrupt handler)
2016-02-25 12:47:06.110688 I  Setup Τερματίστηκε handler (--tr: terminated?? handler)
2016-02-25 12:47:06.110697 I  Setup Σφάλμα κατάτμησης (segmentation fault) handler
2016-02-25 12:47:06.110704 I  Setup Ακυρώθηκε handler (--tr: canceled handler)
2016-02-25 12:47:06.110710 I  Setup Σφάλμα στον δίαυλο(bus) handler
2016-02-25 12:47:06.110717 I  Setup Εξαίρεση κινητής υποδιαστολής handler (--tr: floating point handler)
2016-02-25 12:47:06.110723 I  Setup Ακατάλληλη εντολή handler (--tr: incorrect command?? handler)
2016-02-25 12:47:06.110731 I  Setup Σήμα πραγματικού-χρόνου 0 handler (--tr: real time signal handler)
2016-02-25 12:47:06.110738 I  Setup Κλείσιμο handler (--tr: termination? or end handler)
2016-02-25 12:47:06.110833 N  Using runtime prefix = /usr
2016-02-25 12:47:06.110837 N  Using configuration directory = /home/yianni/.mythtv
2016-02-25 12:47:06.110900 I  Assumed character encoding: el_GR.UTF-8
2016-02-25 12:47:06.111159 I  Using localhost value of storage
2016-02-25 12:47:06.120903 N  Setting QT default locale to el_GR
2016-02-25 12:47:06.120914 I  Current locale el_GR
2016-02-25 12:47:06.120958 N  Reading locale defaults from /usr/share/mythtv//locales/el_gr.xml
2016-02-25 12:47:06.127228 I  Preview at calculated offset (1600 seconds)
2016-02-25 12:47:06.184621 I  AFD: codec MP2 has 2 channels
2016-02-25 12:47:06.184689 I  AFD: Opened codec 0xfb4c60, id(MP2) type(Audio)
2016-02-25 12:47:06.184783 I  AFD: Opened codec 0xfb57a0, id(DVB_SUBTITLE) type(Subtitle)
2016-02-25 12:47:06.186832 I  AFD: Opened codec 0xfb1600, id(H264) type(Video)
2016-02-25 12:47:06.331055 I  MythCoreContext::ConnectCommandSocket(): Connecting to backend server: 192.168.13.100:6543 (try 1 of 21)
2016-02-25 12:47:06.331245 I  Waiting for threads to exit.
2016-02-25 12:47:06.331992 I  MythCoreContext::CheckProtoVersion(): Using protocol version 88 XmasGift

Changed 4 years ago by yiannividalis@…

/usr/bin/mythpreviewgen --loglevel debug --size 130x170 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png -v all --logpath /var/log/mythtv

comment:8 Changed 4 years ago by JYA

Those dimensions aren't used. It means same size as the original frame.

Need to add some logs to find out what happening here. But mp2 audio and video is the type of recordings I have here. So I'm surprised it doesn't work for you.

You're sure that no image is created?

comment:9 Changed 4 years ago by yiannividalis@…

Unfortunately, no image is created.

ls -lah /myth/tvstorage/2001_20160224185000.ts*

-rw-r--r-- 1 yianni users 1,6G Φεβ 24 22:00 /myth/tvstorage/2001_20160224185000.ts

If you want me to cut a small sample and post it somewhere, please let me know. I cut 50 secs and it's 15M. ffmpeg -i /myth/tvstorage/2001_20160224185000.ts -vcodec copy -acodec copy -ss 00:00:00 -t 00:00:50 201602241sample.ts

The original file is:

> mediainfo  /myth/tvstorage/2001_20160224185000.ts
General
ID                                       : 2 (0x2)
Complete name                            : /myth/tvstorage/2001_20160224185000.ts
Format                                   : MPEG-TS
File size                                : 1.58 GiB
Duration                                 : 1h 9mn
Overall bit rate mode                    : Variable
Overall bit rate                         : 3 231 Kbps

Video
ID                                       : 138 (0x8A)
Menu ID                                  : 1 (0x1)
Format                                   : AVC
Format/Info                              : Advanced Video Codec
Format profile                           : Main@L3.0
Format settings, CABAC                   : Yes
Format settings, ReFrames                : 5 frames
Codec ID                                 : 27
Duration                                 : 1h 9mn
Bit rate                                 : 2 878 Kbps
Width                                    : 720 pixels
Height                                   : 576 pixels
Display aspect ratio                     : 16:9
Frame rate                               : 25.000 fps
Standard                                 : PAL
Color space                              : YUV
Chroma subsampling                       : 4:2:0
Bit depth                                : 8 bits
Scan type                                : MBAFF
Bits/(Pixel*Frame)                       : 0.278
Stream size                              : 1.41 GiB (89%)
Color primaries                          : BT.601 NTSC
Transfer characteristics                 : BT.601
Matrix coefficients                      : BT.601

Audio
ID                                       : 650 (0x28A)
Menu ID                                  : 1 (0x1)
Format                                   : MPEG Audio
Format version                           : Version 1
Format profile                           : Layer 2
Codec ID                                 : 3
Duration                                 : 1h 9mn
Bit rate mode                            : Constant
Bit rate                                 : 192 Kbps
Channel(s)                               : 2 channels
Sampling rate                            : 48.0 KHz
Compression mode                         : Lossy
Delay relative to video                  : -1s 427ms
Stream size                              : 96.1 MiB (6%)
Language                                 : Greek

Text
ID                                       : 576 (0x240)-100
Menu ID                                  : 1 (0x1)
Format                                   : Teletext
Language                                 : Greek

Menu
ID                                       : 260 (0x104)
Menu ID                                  : 1 (0x1)
Duration                                 : 1h 9mn
List                                     : 138 (0x8A) (AVC) / 576 (0x240) () / 650 (0x28A) (MPEG Audio, Greek)
Language                                 :  /  / Greek

comment:10 Changed 4 years ago by yiannividalis@…

Does the frontend program also use mythpreviewgen or does it use its own code? because no thumbnails are there, either.

comment:11 Changed 4 years ago by J.Pilk@…

It's working for me, UK DVB-T/T2 in buntu mythfrontend version: fixes/0.28 [v0.28-pre-3592-g34c7003]

comment:12 Changed 4 years ago by J.Pilk@…

Sorry, getting confused. That's still mythffmpeg 2.8.5

comment:13 in reply to:  9 Changed 4 years ago by JYA

Replying to yiannividalis@…:

Unfortunately, no image is created.

Ok..

can you run it with the following extra options:

-v playback,libav --loglevel debug

thanks

comment:14 in reply to:  10 Changed 4 years ago by JYA

Replying to yiannividalis@…:

Does the frontend program also use mythpreviewgen or does it use its own code? because no thumbnails are there, either.

the preview files are generated by the backend..

but yes, all previews are generated by mythpreviewgen ; the backend fork a process to run it.

comment:15 Changed 4 years ago by JYA

"(myth_av_log) - [AVFilterGraph @ 0x7f43b5f3fb00] No such filter: '818181'"

what the...???

did you compile from source? what's in mythtv/libs/libmythtv/mythvutil.cpp

did you run make distclean and removed any existing libmythav* from a previous ffmpeg install?

sounds like you have some crap from a previous install.. i can't explain why else you could get such a log

Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

/usr/bin/mythpreviewgen --size 0x0 --chanid 2001 --starttime 20160224185000 --outfile /myth/tvstorage/2001_20160224185000.ts.png -v playback,libav --loglevel debug --logpath /var/log/mythtv

comment:16 Changed 4 years ago by JYA

this is what you should be seeing in the log:

2016-02-25 23:36:29.525202 D  detected 4 logical cores
2016-02-25 23:36:29.526119 D  [Parsed_buffer_0 @ 0x102137450] Setting 'video_size' to value '1920x1088'
2016-02-25 23:36:29.526154 D  [Parsed_buffer_0 @ 0x102137450] Setting 'pix_fmt' to value '0'
2016-02-25 23:36:29.526217 D  [Parsed_buffer_0 @ 0x102137450] Setting 'time_base' to value '1/1'
2016-02-25 23:36:29.526231 D  [Parsed_buffer_0 @ 0x102137450] Setting 'pixel_aspect' to value '1.777778'
2016-02-25 23:36:29.526280 D  [Parsed_buffer_0 @ 0x102137450] w:1920 h:1088 pixfmt:yuv420p tb:1/1 fr:0/1 sar:888889/500000 sws_param:
2016-02-25 23:36:29.526548 D  [AVFilterGraph @ 0x1021375d0] query_formats: 3 queried, 2 merged, 0 already done, 0 delayed

comment:17 in reply to:  15 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

"(myth_av_log) - [AVFilterGraph @ 0x7f43b5f3fb00] No such filter: '818181'"

what the...???

did you compile from source? what's in mythtv/libs/libmythtv/mythvutil.cpp

did you run make distclean and removed any existing libmythav* from a previous ffmpeg install?

sounds like you have some crap from a previous install.. i can't explain why else you could get such a log

I'm removing all mythtv and mythplugins and recompiling as we speak. I hope it was my mistake, however embarassing it may be. I'll let you know in 1-2 hours?

comment:18 Changed 4 years ago by J.Pilk@…

Just installed master [v0.28-pre-3592-ge4fface] in Fedora 22. Works for me with UK DVB-T/T2. And this *is* with mythffmpeg version 3.0. Cheers!

comment:19 Changed 4 years ago by J.Pilk@…

But I copied the version from the wrong log... master [v0.28-pre-3617-g90195f6]

comment:20 Changed 4 years ago by yiannividalis@…

Sorry for the big delay...

I'm now testing with the laptop to keep the family happy. Still getting the same error in the logs about 818181. This is the history of commands I've run prior to this email (that concerns building mythtv). By the way, all systems are on opensuse tumbleweed, the laptop most recent update (but no update for couple of weeks).

 1012  sudo rm -r mythtv
 1013  sudo rm -r mythplugins/
 1014  git reset --hard
 1015  git pull
 1016  cd mythtv
 1017  make distclean
 1018  cd ../
 1019  time ./updatemythtv.sh 
 1020  la /dev/dvb/
 1021  sudo systemctl start mythbackend
 1022  sudo systemctl stop mythbackend
 1023  cd mythtv
 1024  sudo make uninstall
 1025  rpm -qa | grep -i ffmpeg ---- I was trying to see if I had any ffmpeg package installed, but no.
 1026  cd ..
 1027  cd mythplugins/
 1028  sudo make uninstall
 1029  cd ../mythtv
 1030  ./configure --prefix=/usr
 1031  make
 1032  cd ..
 1033  sudo rm -r mythtv mythplugins
 1034  git reset --hard
 1035  cd mythtv
 1036  ./configure --prefix=/usr
 1037  time make
 1038  make distclean
 1039  time make
 1040  ./configure --prefix=/usr && time make
 1041  sudo make install
 1042  cd ../mythplugins/
 1043  make distclean
 1044  ./configure --prefix=/usr
 1045  time make && sudo make install
 1046  sudo systemctl start mythbackend
 1047  history

> locate libmythav
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavcodec/libmythavcodec.so
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavcodec/libmythavcodec.so.57
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavdevice/libmythavdevice.so
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavdevice/libmythavdevice.so.57
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavfilter/libmythavfilter.so
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavfilter/libmythavfilter.so.6
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavformat/libmythavformat.so
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavformat/libmythavformat.so.57
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavutil/libmythavutil.so
/home/yianni/mythtv-git/mythtv/external/FFmpeg/libavutil/libmythavutil.so.55
/usr/lib/libmythavcodec.so
/usr/lib/libmythavcodec.so.57
/usr/lib/libmythavcodec.so.57.24.102
/usr/lib/libmythavdevice.so
/usr/lib/libmythavdevice.so.57
/usr/lib/libmythavdevice.so.57.0.101
/usr/lib/libmythavfilter.so
/usr/lib/libmythavfilter.so.6
/usr/lib/libmythavfilter.so.6.31.100
/usr/lib/libmythavformat.so
/usr/lib/libmythavformat.so.57
/usr/lib/libmythavformat.so.57.25.100
/usr/lib/libmythavutil.so
/usr/lib/libmythavutil.so.55
/usr/lib/libmythavutil.so.55.17.103
yianni@eagle1:~/mythtv-git> la /usr/lib/libmythav*
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavcodec.so -> libmythavcodec.so.57.24.102
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavcodec.so.57 -> libmythavcodec.so.57.24.102
-rwxr-xr-x 1 root root  44M Φεβ  25 19:15 /usr/lib/libmythavcodec.so.57.24.102
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavdevice.so -> libmythavdevice.so.57.0.101
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavdevice.so.57 -> libmythavdevice.so.57.0.101
-rwxr-xr-x 1 root root 688K Φεβ  25 19:15 /usr/lib/libmythavdevice.so.57.0.101
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavfilter.so -> libmythavfilter.so.6.31.100
lrwxrwxrwx 1 root root   27 Φεβ  25 19:15 /usr/lib/libmythavfilter.so.6 -> libmythavfilter.so.6.31.100
-rwxr-xr-x 1 root root 5,9M Φεβ  25 19:15 /usr/lib/libmythavfilter.so.6.31.100
lrwxrwxrwx 1 root root   28 Φεβ  25 19:15 /usr/lib/libmythavformat.so -> libmythavformat.so.57.25.100
lrwxrwxrwx 1 root root   28 Φεβ  25 19:15 /usr/lib/libmythavformat.so.57 -> libmythavformat.so.57.25.100
-rwxr-xr-x 1 root root  14M Φεβ  25 19:15 /usr/lib/libmythavformat.so.57.25.100
lrwxrwxrwx 1 root root   26 Φεβ  25 19:15 /usr/lib/libmythavutil.so -> libmythavutil.so.55.17.103
lrwxrwxrwx 1 root root   26 Φεβ  25 19:15 /usr/lib/libmythavutil.so.55 -> libmythavutil.so.55.17.103
-rwxr-xr-x 1 root root 1,1M Φεβ  25 19:15 /usr/lib/libmythavutil.so.55.17.103

I'll try to manually find and delete all references of myth under /usr, /lib, etc and recompile. It will take some time, though. JY, I'll attach my mythavutil.cpp, as I think you want?

Changed 4 years ago by yiannividalis@…

Attachment: mythavutil.cpp added

mythavutil.cpp

comment:21 Changed 4 years ago by JYA

this is very puzzling..

what linux distribution are you using?

BTW, you have a quad core machine, doing make -j8 here would greatly speed up your compilation time.

so you don't have any binary package of mythtv installed from another source?

comment:22 in reply to:  21 ; Changed 4 years ago by yiannividalis@…

Replying to jyavenard:

this is very puzzling..

what linux distribution are you using?

Opensuse tumbleweed on every pc.

BTW, you have a quad core machine, doing make -j8 here would greatly speed up your compilation time.

Yeah, but unfortunately I can only test on the centrino laptop atm because of tv programs the family wants to record on the main system... However I'm using icecream (opensuse's distributing compiler, so the quad core helps somehow)

so you don't have any binary package of mythtv installed from another source?

No, no binaries. I've been running master for more than 5 years now??? (that's a long time!)

Any more info I could provide? any ldd info?

comment:23 in reply to:  22 Changed 4 years ago by JYA

Replying to yiannividalis@…:

Replying to jyavenard:

this is very puzzling..

what linux distribution are you using?

Opensuse tumbleweed on every pc.

BTW, you have a quad core machine, doing make -j8 here would greatly speed up your compilation time.

Yeah, but unfortunately I can only test on the centrino laptop atm because of tv programs the family wants to record on the main system... However I'm using icecream (opensuse's distributing compiler, so the quad core helps somehow)

so you don't have any binary package of mythtv installed from another source?

No, no binaries. I've been running master for more than 5 years now??? (that's a long time!)

Any more info I could provide? any ldd info?

you can do ldd /usr/bin/mythpreviewgen yes

and rpm -qa | grep -i myth while at it...

it's working all fine on my system.

The only difference I can see is that I compile with --compile-type=debug

comment:24 Changed 4 years ago by JYA

can you also attach your config.h ?

need to find out why the yadif filter isn't found

comment:25 Changed 4 years ago by JYA

one more thing: seeing that you have patched applied.

after doing one last pull

please attach here the result of git diff a05e32711a75de75b4c570a2a36a65f74f2d6797 (which is HEAD in the current master)

thank you

comment:26 Changed 4 years ago by yiannividalis@…

> ldd /usr/bin/mythpreviewgen 
        linux-gate.so.1 (0xb772d000)
        libmythswscale.so.4 => /usr/lib/libmythswscale.so.4 (0xb766b000)
        libmythavformat.so.57 => /usr/lib/libmythavformat.so.57 (0xb7414000)
        libmythswresample.so.2 => /usr/lib/libmythswresample.so.2 (0xb73f5000)
        libmythavutil.so.55 => /usr/lib/libmythavutil.so.55 (0xb7371000)
        libmythavcodec.so.57 => /usr/lib/libmythavcodec.so.57 (0xb60d2000)
        libmythpostproc.so.54 => /usr/lib/libmythpostproc.so.54 (0xb60b5000)
        libmythavfilter.so.6 => /usr/lib/libmythavfilter.so.6 (0xb5f1a000)
        libmythtv-0.28.so.0 => /usr/lib/libmythtv-0.28.so.0 (0xb4fb6000)
        libmythupnp-0.28.so.0 => /usr/lib/libmythupnp-0.28.so.0 (0xb4e4a000)
        libmythbase-0.28.so.0 => /usr/lib/libmythbase-0.28.so.0 (0xb4bcd000)
        libmythui-0.28.so.0 => /usr/lib/libmythui-0.28.so.0 (0xb48a0000)
        libmyth-0.28.so.0 => /usr/lib/libmyth-0.28.so.0 (0xb44b4000)
        libmythmetadata-0.28.so.0 => /usr/lib/libmythmetadata-0.28.so.0 (0xb4281000)
        libmythservicecontracts-0.28.so.0 => /usr/lib/libmythservicecontracts-0.28.so.0 (0xb41f8000)
        libmythprotoserver-0.28.so.0 => /usr/lib/libmythprotoserver-0.28.so.0 (0xb41aa000)
        libmythfreemheg-0.28.so.0 => /usr/lib/libmythfreemheg-0.28.so.0 (0xb40fb000)
        libmythhdhomerun-0.28.so.0 => /usr/lib/libmythhdhomerun-0.28.so.0 (0xb40e5000)
        libtag.so.1 => /usr/lib/libtag.so.1 (0xb3fef000)
        libXext.so.6 => /usr/lib/libXext.so.6 (0xb3fda000)
        libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb3fd5000)
        libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0xb3fce000)
        libXv.so.1 => /usr/lib/libXv.so.1 (0xb3fc7000)
        libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb3fba000)
        libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb3e3c000)
        libcrypto.so.1.0.0 => /lib/libcrypto.so.1.0.0 (0xb3c0f000)
        libfftw3_threads.so.3 => /usr/lib/libfftw3_threads.so.3 (0xb3c07000)
        libfftw3f.so.3 => /usr/lib/libfftw3f.so.3 (0xb3aac000)
        libfftw3.so.3 => /usr/lib/libfftw3.so.3 (0xb38c4000)
        libmp3lame.so.0 => /usr/lib/libmp3lame.so.0 (0xb384b000)
        libxcb-shm.so.0 => /usr/lib/libxcb-shm.so.0 (0xb3847000)
        libxcb-xfixes.so.0 => /usr/lib/libxcb-xfixes.so.0 (0xb383e000)
        libxcb-render.so.0 => /usr/lib/libxcb-render.so.0 (0xb3833000)
        libxcb-shape.so.0 => /usr/lib/libxcb-shape.so.0 (0xb382f000)
        libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb380a000)
        libX11.so.6 => /usr/lib/libX11.so.6 (0xb36bb000)
        libpulse.so.0 => /usr/lib/libpulse.so.0 (0xb3660000)
        libasound.so.2 => /usr/lib/libasound.so.2 (0xb355b000)
        libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb34bd000)
        liblzma.so.5 => /usr/lib/liblzma.so.5 (0xb348e000)
        libbz2.so.1 => /usr/lib/libbz2.so.1 (0xb347c000)
        libz.so.1 => /lib/libz.so.1 (0xb3463000)
        libdl.so.2 => /lib/libdl.so.2 (0xb345d000)
        libGL.so.1 => /usr/lib/libGL.so.1 (0xb33b1000)
        libQt5Widgets.so.5 => /usr/lib/libQt5Widgets.so.5 (0xb2c96000)
        libQt5Gui.so.5 => /usr/lib/sse2/libQt5Gui.so.5 (0xb271a000)
        libQt5Network.so.5 => /usr/lib/libQt5Network.so.5 (0xb259d000)
        libQt5Sql.so.5 => /usr/lib/libQt5Sql.so.5 (0xb2553000)
        libQt5Core.so.5 => /usr/lib/sse2/libQt5Core.so.5 (0xb208b000)
        libpthread.so.0 => /lib/libpthread.so.0 (0xb206e000)
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb1ef8000)
        libm.so.6 => /lib/libm.so.6 (0xb1eaa000)
        libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb1e8c000)
        libc.so.6 => /lib/libc.so.6 (0xb1cd1000)
        libQt5OpenGL.so.5 => /usr/lib/libQt5OpenGL.so.5 (0xb1c71000)
        libQt5Xml.so.5 => /usr/lib/libQt5Xml.so.5 (0xb1c2e000)
        libQt5Script.so.5 => /usr/lib/libQt5Script.so.5 (0xb1984000)
        libQt5WebKitWidgets.so.5 => /usr/lib/libQt5WebKitWidgets.so.5 (0xb193e000)
        libQt5WebKit.so.5 => /usr/lib/libQt5WebKit.so.5 (0xaf2f3000)
        libQt5DBus.so.5 => /usr/lib/libQt5DBus.so.5 (0xaf265000)
        libexiv2.so.14 => /usr/lib/libexiv2.so.14 (0xaef9d000)
        librt.so.1 => /lib/librt.so.1 (0xaef93000)
        libXrender.so.1 => /usr/lib/libXrender.so.1 (0xaef87000)
        libXau.so.6 => /usr/lib/libXau.so.6 (0xaef82000)
        libpulsecommon-8.0.so => /usr/lib/pulseaudio/libpulsecommon-8.0.so (0xaeef6000)
        libjson-c.so.2 => /usr/lib/libjson-c.so.2 (0xaeee8000)
        libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xaee8c000)
        /lib/ld-linux.so.2 (0x800a6000)
        libpng16.so.16 => /usr/lib/libpng16.so.16 (0xaee4c000)
        libexpat.so.1 => /usr/lib/libexpat.so.1 (0xaee23000)
        libxcb-dri3.so.0 => /usr/lib/libxcb-dri3.so.0 (0xaee1e000)
        libxcb-present.so.0 => /usr/lib/libxcb-present.so.0 (0xaee1a000)
        libxcb-sync.so.1 => /usr/lib/libxcb-sync.so.1 (0xaee13000)
        libxshmfence.so.1 => /usr/lib/libxshmfence.so.1 (0xaee10000)
        libglapi.so.0 => /usr/lib/libglapi.so.0 (0xaedf4000)
        libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0xaedef000)
        libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xaede8000)
        libX11-xcb.so.1 => /usr/lib/libX11-xcb.so.1 (0xaede5000)
        libxcb-glx.so.0 => /usr/lib/libxcb-glx.so.0 (0xaedcb000)
        libxcb-dri2.so.0 => /usr/lib/libxcb-dri2.so.0 (0xaedc5000)
        libdrm.so.2 => /usr/lib/libdrm.so.2 (0xaedb2000)
        libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0xaed55000)
        libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xaec2d000)
        libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xaebc1000)
        libssl.so.1.0.0 => /lib/libssl.so.1.0.0 (0xaeb4c000)
        libicui18n.so.56.1 => /usr/lib/libicui18n.so.56.1 (0xae8b2000)
        libicuuc.so.56.1 => /usr/lib/libicuuc.so.56.1 (0xae713000)
        libpcre16.so.0 => /usr/lib/libpcre16.so.0 (0xae6a8000)
        libQt5Sensors.so.5 => /usr/lib/libQt5Sensors.so.5 (0xae66c000)
        libQt5PrintSupport.so.5 => /usr/lib/libQt5PrintSupport.so.5 (0xae5f7000)
        libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0xae5f2000)
        libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0xae593000)
        libwebp.so.5 => /usr/lib/libwebp.so.5 (0xae52e000)
        libxslt.so.1 => /usr/lib/libxslt.so.1 (0xae4e7000)
        libgstreamer-1.0.so.0 => /usr/lib/libgstreamer-1.0.so.0 (0xae3a7000)
        libgstapp-1.0.so.0 => /usr/lib/libgstapp-1.0.so.0 (0xae396000)
        libgstbase-1.0.so.0 => /usr/lib/libgstbase-1.0.so.0 (0xae320000)
        libgstpbutils-1.0.so.0 => /usr/lib/libgstpbutils-1.0.so.0 (0xae2f2000)
        libgstvideo-1.0.so.0 => /usr/lib/libgstvideo-1.0.so.0 (0xae268000)
        libgstaudio-1.0.so.0 => /usr/lib/libgstaudio-1.0.so.0 (0xae209000)
        libsqlite3.so.0 => /usr/lib/libsqlite3.so.0 (0xae129000)
        libQt5Positioning.so.5 => /usr/lib/libQt5Positioning.so.5 (0xae0e1000)
        libQt5Quick.so.5 => /usr/lib/libQt5Quick.so.5 (0xadcd5000)
        libQt5Qml.so.5 => /usr/lib/sse2/libQt5Qml.so.5 (0xad84a000)
        libQt5WebChannel.so.5 => /usr/lib/libQt5WebChannel.so.5 (0xad828000)
        libsystemd.so.0 => /usr/lib/libsystemd.so.0 (0xad786000)
        libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0xad6f7000)
        libffi.so.4 => /usr/lib/libffi.so.4 (0xad6ee000)
        libpcre.so.1 => /usr/lib/libpcre.so.1 (0xad679000)
        libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xad650000)
        libicudata.so.56.1 => /usr/lib/libicudata.so.56.1 (0xad64d000)
        libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0xad648000)
        liborc-0.4.so.0 => /usr/lib/liborc-0.4.so.0 (0xad5b6000)
        libgsttag-1.0.so.0 => /usr/lib/libgsttag-1.0.so.0 (0xad579000)
        libselinux.so.1 => /lib/libselinux.so.1 (0xad550000)
        libresolv.so.2 => /lib/libresolv.so.2 (0xad537000)
        libgcrypt.so.20 => /usr/lib/libgcrypt.so.20 (0xad482000)
        libcap.so.2 => /lib/libcap.so.2 (0xad47c000)
        libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0xad436000)
        libogg.so.0 => /usr/lib/libogg.so.0 (0xad42d000)
        libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0xad400000)
        libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0xad374000)
        libspeex.so.1 => /usr/lib/libspeex.so.1 (0xad35c000)
        libgpg-error.so.0 => /usr/lib/libgpg-error.so.0 (0xad346000)

rpm -qa | grep -i myth shows only: libmythes-1_2-0, which is "A simple thesaurus for Libreoffice"

comment:27 in reply to:  24 Changed 4 years ago by yiannividalis@…

Replying to jyavenard:

can you also attach your config.h ?

need to find out why the yadif filter isn't found

Looking for 'config.h' I found:

> locate config.h | grep myth
/home/yianni/mythtv-git/mythplugins/mythmusic/mythmusic/config.h
/home/yianni/mythtv-git/mythplugins/mythmusic/mythmusic/goom/goomconfig.h
/home/yianni/mythtv-git/mythplugins/mythnews/mythnews/mythnewsconfig.h
/home/yianni/mythtv-git/mythtv/external/FFmpeg/ffserver_config.h
/home/yianni/mythtv-git/mythtv/external/FFmpeg/compat/avisynth/avs/config.h
/home/yianni/mythtv-git/mythtv/external/zeromq/src/config.hpp
/home/yianni/mythtv-git/mythtv/libs/libmythmpeg2/mpeg2config.h
/home/yianni/mythtv-git/mythtv/libs/libmythtv/channelscan/scanwizardconfig.h
/home/yianni/mythtv-git/mythtv/libs/libmythtv/visualisations/goom/goomconfig.h
/home/yianni/mythtv-git/mythtv/programs/mythbackend/httpconfig.h
/home/yianni/mythtv-git/mythtv/programs/mythfrontend/galleryconfig.h
/home/yianni/mythtv-git/platform/win32/msvc/external/expat/lib/winconfig.h
/home/yianni/mythtv-git/platform/win32/msvc/external/pthreads.2/config.h
/home/yianni/mythtv-git/platform/win32/msvc/external/taglib/taglib/taglib_config.h.cmake
/home/yianni/mythtv-git/platform/win32/msvc/include/mythconfig.h

Which one should I attach?

comment:28 in reply to:  25 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

one more thing: seeing that you have patched applied.

after doing one last pull

please attach here the result of git diff a05e32711a75de75b4c570a2a36a65f74f2d6797 (which is HEAD in the current master)

thank you

The patches were applied against my normal mbe. These tests I run on the laptop (no patches). Git diff returns nothing against latest commit.

Thanks for all your time.

comment:29 Changed 4 years ago by JYA

the main one in mythtv/config.h (which should be a link to libs/libmythbase/mythconfig.h)

comment:30 Changed 4 years ago by JYA

I may ask you to recompile with --compile-type=debug and if possible give me a shell access to that machine..

so far, all the person I asked who are running master indicated that mythpreviewgen work fine for them

Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Attachment: config.h added

mythtv/config.h

comment:31 in reply to:  30 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

I may ask you to recompile with --compile-type=debug and if possible give me a shell access to that machine..

I will compile as debug, and we can see what we can arrange for that access after work perhaps? (it's 6.16am now, so it will be some hours before we can arrange that)

so far, all the person I asked who are running master indicated that mythpreviewgen work fine for them

Is anyone using opensuse? could they attach their copy for me to try?

comment:32 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

One thing I've not provided yet:

> ./configure --previous
Options:      --prefix=/usr 
        # Basic Settings
Compile type              profile
Compiler cache            yes
DistCC                    no
qmake                     /usr/bin/qmake-qt5
install prefix            /usr
runtime prefix            /usr
CPU                       x86 x86_32 (model name        : Intel(R) Core(TM) Duo CPU      T2450  @ 2.00GHz)
yasm                      yes
MMX enabled               yes
MMXEXT enabled            yes
3DNow! enabled            yes
3DNow! extended enabled   yes
SSE enabled               yes
SSSE3 enabled             yes
AESNI enabled             yes
AVX enabled               yes
XOP enabled               yes
FMA3 enabled              yes
FMA4 enabled              yes
i686 features enabled     yes

# Input Support
Joystick menu             yes
lirc support              yes
libCEC device support     no [/usr/include]
Video4Linux support       yes
ivtv support              yes
HD-PVR support            yes
FireWire support          no
DVB support               yes [/usr/include]
DVB-S2 support            yes
HDHomeRun support         yes
V@Box TV Gateway support  yes
Ceton support             yes
ASI support               no

# Sound Output Support
PulseAudio support        yes
OSS support               yes
ALSA support              yes
JACK support              default
libfftw3 support          yes

# Video Output Support
x11 support               yes
xrandr support            yes
xv support                yes
VDPAU support             no
VAAPI support             no
CrystalHD support         no
OpenMAX support           no
OpenGL video              yes
MHEG support              yes
libass subtitle support   no

# Misc Features
multi threaded libavcodec yes
libxml2 support           yes [/usr/include/libxml2]
libdns_sd (Bonjour)       no
libcrypto                 yes
Frontend                  yes
Backend                   yes
OpenGL ES 2.0             no
mythlogserver             no
BD-J (Bluray java)        no
BD-J type                 j2se
systemd_notify            no

# Bindings
bindings_perl             yes
bindings_python           yes
bindings_php              yes

# External Codec Options
mp3lame                   no
faac                      no
xvid                      no
x264                      no
vpx                       no
SDL                       no

Creating libs/libmythbase/mythconfig.h and libs/libmythbase/mythconfig.mak

libs/libmythbase/mythconfig.h is unchanged
libs/libmythbase/mythconfig.mak is unchanged
external/FFmpeg/config.asm is unchanged
external/FFmpeg/libavutil/avconfig.h is unchanged
Configuring libhdhomerun...
Configuring libmythbluray...
Configuring libmythdvdnav...
Configuring libsamplerate...
Configuring libudfread...
Configuring minilzo...
Configuring libmythsoundtouch...

WARNING: --enable-symbol-visibility requires gcc 4.2 or higher

comment:33 in reply to:  32 Changed 4 years ago by Gary Buhrmaster <gary.buhrmaster@…>

Replying to Yianni Vidalis <yiannividalis@…>:

One thing I've not provided yet:

WARNING: --enable-symbol-visibility requires gcc 4.2 or higher

I thought master now requires (at least in theory) a C++11 compliant compiler, which means (at least) gcc 4.3 (for initial support), and in practice, probably 4.8 or greater. What version compiler are you using?

It is entirely possible the gcc version auto-detect is failing too, but would would be a different bug).

comment:34 in reply to:  30 ; Changed 4 years ago by Gary Buhrmaster <gary.buhrmaster@…>

Replying to jyavenard: ....

so far, all the person I asked who are running master indicated that mythpreviewgen work fine for them

Just an observation, the OP is running a 32-bit system (according to the configure output). I have no idea if that is relevant, but I wonder if any of the people you asked are still running old(er) 32-bit systems that may have different cpu (SSE?) capabilities.

comment:35 in reply to:  34 ; Changed 4 years ago by JYA

Replying to Gary Buhrmaster <gary.buhrmaster@…>:

Just an observation, the OP is running a 32-bit system (according to the configure output). I have no idea if that is relevant, but I wonder if any of the people you asked are still running old(er) 32-bit systems that may have different cpu (SSE?) capabilities.

damn !

thank you very much for pointing this out !!

I hadn't noticed at all..

Going to try right away (too bad, I just finished downloading OpenSuse? 64 bits).

who runs linux 32 bits these days !!???

comment:36 in reply to:  35 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

Replying to Gary Buhrmaster <gary.buhrmaster@…>:

Just an observation, the OP is running a 32-bit system (according to the configure output). I have no idea if that is relevant, but I wonder if any of the people you asked are still running old(er) 32-bit systems that may have different cpu (SSE?) capabilities.

damn !

thank you very much for pointing this out !!

I'm sorry I didn't clarify things enough before:

  • All systems at home run opensuse tumbleweed, but at various update stages. The most up to date is the laptop because it's old and not crucial.
  • All systems apart from the laptop run 64bit linux, but the laptop can't because the motherboard or stg is 32bit only (I've tried unsuccessfully). It's 10 years old but with an ssd and a brand new fan it doesn't show its age (apart from compile times, that is!)
  • as far as the gcc versions are concerned, the MBE has gcc-5-1.23.x86_64, the SBE gcc-4.8-10.1.x86_64, and the laptop gcc-5-1.25.i586. However, I use the icecream package, which is a distcc for opensuse (have been since 4-5 years without any problems) and maybe this is what is causing the "enable symbol visibility" warning (icecream gcc is at that start of $PATH)

    I hadn't noticed at all..

    Going to try right away (too bad, I just finished downloading OpenSuse? 64 bits).

    who runs linux 32 bits these days !!???

comment:37 Changed 4 years ago by JYA

And you have the same issues on all machines?

they all fail in the same fashion? (showing that it can't find the '818181' filter)

comment:38 in reply to:  37 ; Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

And you have the same issues on all machines?

they all fail in the same fashion? (showing that it can't find the '818181' filter)

Yes, in the gigantic gzip log I've attatched mythpreviewgen.20160225111727.14556.log.gz​) you'll find in line 15304:

2016-02-25 13:17:28.066554 E [14556/14556] CoreContext? avformatdecoder.cpp:317 (myth_av_log) - [AVFilterGraph @ 0x7f43b5f3fb00] No such filter: '818181'

At least it's consistent!

Maybe it's an opensuse thing, should I send you the repos I use to add to the image you mentioned you downloaded?

comment:39 Changed 4 years ago by JYA

so it's not a 32 bits issue.

running on ubuntu 14.04 32 bits:

2016-02-26 02:21:06.441054 D  [Parsed_buffer_0 @ 0xb49e7ca0] Setting 'video_size' to value '1920x1088'
2016-02-26 02:21:06.441088 D  [Parsed_buffer_0 @ 0xb49e7ca0] Setting 'pix_fmt' to value '0'
2016-02-26 02:21:06.441354 D  [Parsed_buffer_0 @ 0xb49e7ca0] Setting 'time_base' to value '1/1'
2016-02-26 02:21:06.441370 D  [Parsed_buffer_0 @ 0xb49e7ca0] Setting 'pixel_aspect' to value '1.777778'
2016-02-26 02:21:06.441412 D  [Parsed_buffer_0 @ 0xb49e7ca0] w:1920 h:1088 pixfmt:yuv420p tb:1/1 fr:0/1 sar:888889/500000 sws_param:
2016-02-26 02:21:06.441518 D  [AVFilterGraph @ 0xb4a032c0] query_formats: 3 queried, 2 merged, 0 already done, 0 delayed
2016-02-26 02:21:06.458341 D  [swscaler @ 0xb5de05a0] No accelerated colorspace conversion found from yuv420p to bgra.

The only difference is that last line.

Going to download opensuse tumbleweed

comment:40 in reply to:  38 ; Changed 4 years ago by JYA

Replying to Yianni Vidalis <yiannividalis@…>:

Maybe it's an opensuse thing, should I send you the repos I use to add to the image you mentioned you downloaded?

yes please.

Because really their web site sucks balls.

The page with the torrent links gives me 404 errors, I can only download the DVD at a speed of 40kB/s and it will take me about 3 days to download the image now. The list of mirrors it give me, *none* are close to Australia and the list keep changing.

damn it's poorly organised.

comment:41 Changed 4 years ago by JYA

comment above is to download a 32 bits ISO.

comment:42 in reply to:  40 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to jyavenard:

Replying to Yianni Vidalis <yiannividalis@…>:

Maybe it's an opensuse thing, should I send you the repos I use to add to the image you mentioned you downloaded?

yes please.

Because really their web site sucks balls.

The page with the torrent links gives me 404 errors, I can only download the DVD at a speed of 40kB/s and it will take me about 3 days to download the image now. The list of mirrors it give me, *none* are close to Australia and the list keep changing.

damn it's poorly organised.

I think I'll dissappoint you further (maybe it's an opensuse thing too...), because by "repos" I don't mean the initial install but the additional repos for multimedia files, e.g. pacman

In case you've not progressed into the downloading, I'd suggest the 64bit, since I have the same problem there, too, and it's more mainstream.

Supposingly, if you download the iso, it chooses a location nearest to you. https://en.opensuse.org/openSUSE:Tumbleweed_installation

For pacman, I'd suggest to finish the initial installation and then add the repo. You'll find the link in

https://en.opensuse.org/Additional_package_repositories

What I do at home is rsync nightly and I've added an nfs share as a repo to the pcs.

comment:43 Changed 4 years ago by Stuart Auchterlonie

Can you take the hit on time and not compile using icecream (distcc). I have seen weird things happen due to distributed compilation.

Lets try a build without it and see how that goes.

comment:44 in reply to:  43 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to stuarta:

Can you take the hit on time and not compile using icecream (distcc). I have seen weird things happen due to distributed compilation.

Lets try a build without it and see how that goes.

Sure, I've started it, will get back to you...(ssh rules!)

comment:45 Changed 4 years ago by JYA

which packages did you install to get all the dependencies going?

I've downloaded OpenSuse? Leap 42.1 as it's the only copy I've managed to find on a local mirror (which only took a couple of minutes to download: I have a 100mbit/s connection at home)

comment:46 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Ok, the list is from March 2015, and it includes qt5, so I hope it's new enough. It includes icecream too...

sudo zypper install icecream \
                    libQt5Widgets5 libQt5Core-devel yasm ccache libmp3lame-devel libQtWebKit-devel perl-DBD-mysql \
                    libmysqlclient-devel libqt4-sql-mysql libmysqld18 libmysqlclient python-mysql \
                    php5-mysql perl-Net-MySQL perl-Net-UPnP python-lxml perl-HTTP-Request perl-LWP-MediaTypes \
                    perl-LWP-Online taglib perl-Date-Manip perl-Image-Size perl-DateTime-format \
                    perl-SOAP-Lite perl-JSON libvorbis-devel flac-devel libtag-devel python-oauth \
                    perl-DateTime-Format-ISO8601 libexif-devel dcraw fftw3-devel fftw3-threads-devel\
                    libcdio-devel libcdio-paranoia-devel alsa-devel patch libvdpau libuuid-devel \
                    python-urlgrabber libpulse-devel sensors libxml2-devel libexiv2-devel \
                    perl-IO-Socket-INET6 libQt5Sql-devel libQt5Network-devel libQt5Gui-devel \
                    libQt5Widgets-devel libQt5Xml-devel libqt5-qtscript-devel libQt5Webkit5-devel \
                    libqt5Webkit5 libQt5WebkitWidgets-devel libQt5OpenGL-devel libQt5DBus-devel

comment:47 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Compiling without icecream has finished but with the same error (I'm not attaching whole log):

mythpreviewgen --infile 1011_20160225173400.ts --outfile ssr.png --loglevel debug -v playback,libav

2016-02-26 14:39:16.397573 I  Player(0): ScreenGrab: Waited 100ms for video frame
2016-02-26 14:39:16.397879 D  detected 2 logical cores
2016-02-26 14:39:16.398192 D  [Parsed_buffer_0 @ 0xb6068d60] Setting 'video_size' to value '720x576'
2016-02-26 14:39:16.398229 D  [Parsed_buffer_0 @ 0xb6068d60] Setting 'pix_fmt' to value '0'
2016-02-26 14:39:16.398287 D  [Parsed_buffer_0 @ 0xb6068d60] Setting 'time_base' to value '1/1'
2016-02-26 14:39:16.398316 D  [Parsed_buffer_0 @ 0xb6068d60] Setting 'pixel_aspect' to value '1'
2016-02-26 14:39:16.398378 D  [Parsed_buffer_0 @ 0xb6068d60] w:720 h:576 pixfmt:yuv420p tb:1/1 fr:0/1 sar:1/1 sws_param:
2016-02-26 14:39:16.398405 E  [AVFilterGraph @ 0xb6083f20] No such filter: '818181'
2016-02-26 14:39:16.398594 I  Player(0): StopPlaying - begin
2016-02-26 14:39:16.399742 I  Player(0): Decoder thread exiting.
2016-02-26 14:39:16.399913 I  Player(0): Exited decoder loop.
2016-02-26 14:39:16.400150 D  Closing PAT Filter: pid=0x0
2016-02-26 14:39:16.400179 D  Closing PMT Filter: pid=0x1b5c
2016-02-26 14:39:16.400705 I  ~VideoOutputNull()
2016-02-26 14:39:16.403078 I  Player(0): StopPlaying - end
2016-02-26 14:39:16.404715 E  Preview: Failed to grab preview '1011_20160225173400.ts' 0x0@471731401s

comment:48 Changed 4 years ago by JYA

3 hours later, in a opensuse 64 bits VM:

2016-02-27 00:39:47.787878 D  [Parsed_buffer_0 @ 0x7f5b08e3f120] Setting 'video_size' to value '1920x1088'
2016-02-27 00:39:47.787895 D  [Parsed_buffer_0 @ 0x7f5b08e3f120] Setting 'pix_fmt' to value '0'
2016-02-27 00:39:47.787922 D  [Parsed_buffer_0 @ 0x7f5b08e3f120] Setting 'time_base' to value '1/1'
2016-02-27 00:39:47.787933 D  [Parsed_buffer_0 @ 0x7f5b08e3f120] Setting 'pixel_aspect' to value '1.777778'
2016-02-27 00:39:47.787963 D  [Parsed_buffer_0 @ 0x7f5b08e3f120] w:1920 h:1088 pixfmt:yuv420p tb:1/1 fr:0/1 sar:888889/500000 sws_param:
2016-02-27 00:39:47.788046 D  [AVFilterGraph @ 0x7f5b08e65be0] query_formats: 3 queried, 2 merged, 0 already done, 0 delayed
2016-02-27 00:39:47.802131 I  Player(0): StopPlaying - begin
2016-02-27 00:39:47.802614 I  Player(0): Decoder thread exiting.
2016-02-27 00:39:47.802800 I  Player(0): Exited decoder loop.
2016-02-27 00:39:47.803606 D  Closing PAT Filter: pid=0x0
2016-02-27 00:39:47.803611 D  Closing PMT Filter: pid=0x101
2016-02-27 00:39:47.803952 I  ~VideoOutputNull()
2016-02-27 00:39:47.806575 I  Player(0): StopPlaying - end
2016-02-27 00:39:47.814316 I  Preview: Grabbed preview 'myth://mediaserver-surrey1.bubblestuff.com/1090_20160225122500.ts' 1920x1080@600s
2016-02-27 00:39:48.477996 I  Preview: Saved preview '/home/jyavenard/test.png' 1920x1080
2016-02-27 00:39:48.480620 I  Waiting for threads to exit.

I made sure I have almost exactly the same config.h as the OP, with the exception to the 64 vs 32 bits related config.

works all fine

so I don't know what you've installed, but I'm 99.9% convinced it's a compilation/installation issue on your end

comment:49 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Could it be the format of my recordings? I find it difficult to believe that all my systems excibit the same behaviour and it's their own fault. The only thing that's constantly being updated is mythtv. Especially the SBE has not been updated for more than a year. And I didn't have this problem before creating the ticket. Could I ask again to upload a small sample somewhere for you to check? I'm open to suggestions...

comment:50 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Maybe the prior to ffmpeg 3 installation leaves some garbage I've not been able to remove, even manually? Could you please try to compile and install a previous version and try to upgrade to current commit, then recheck?

comment:51 in reply to:  49 Changed 4 years ago by JYA

Replying to Yianni Vidalis <yiannividalis@…>:

Could it be the format of my recordings? I find it difficult to believe that all my systems excibit the same behaviour and it's their own fault. The only thing that's constantly being updated is mythtv. Especially the SBE has not been updated for more than a year. And I didn't have this problem before creating the ticket. Could I ask again to upload a small sample somewhere for you to check? I'm open to suggestions...

doubtful, because once we reach the deinterlacer, we've already decoded the media. So all it sees is a YUV420 picture. it doesn't care if it's h264 or mpeg2 or whatever...

Having said that, if you have a smallish ts file where you can reproduce the problem consistently I could always try with that

comment:52 in reply to:  50 Changed 4 years ago by JYA

Replying to Yianni Vidalis <yiannividalis@…>:

Maybe the prior to ffmpeg 3 installation leaves some garbage I've not been able to remove, even manually? Could you please try to compile and install a previous version and try to upgrade to current commit, then recheck?

Myself, I always compile that way:

./configure --prefix=/separate/path

typically I use: ./configure --prefix=/usr/local/mythtv

when to run the code, and ensure nothing else get in the way I run it that way:

LD_LIBRARY_PATH=/usr/local/mythtv/lib /usr/local/mythtv/bin/mythpreviewgen ....

That way I can have a local master build (in /usr/local/mythtv) and the official build (from mythbuntu) is located in /usr/lib

try compiling in a brand new directory, so you know there's nothing getting in the way

otherwise, make sure you do sudo rm /usr/lib/libmyth* before running make install

comment:53 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

I will try it your way, thanks for the tip.

I have a ts file of 50secs and 15Mb. Where should I upload it?

comment:54 Changed 4 years ago by JYA

anywhere, public google drive maybe?

comment:55 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Ok, you won't believe it, but it was the LC_ALL variable (I knew I wasn't crazy!!!).

> locale
LANG=el_GR.UTF-8
LC_CTYPE="el_GR.UTF-8"
LC_NUMERIC="el_GR.UTF-8"
LC_TIME="el_GR.UTF-8"
LC_COLLATE="el_GR.UTF-8"
LC_MONETARY="el_GR.UTF-8"
LC_MESSAGES="el_GR.UTF-8"
LC_PAPER="el_GR.UTF-8"
LC_NAME="el_GR.UTF-8"
LC_ADDRESS="el_GR.UTF-8"
LC_TELEPHONE="el_GR.UTF-8"
LC_MEASUREMENT="el_GR.UTF-8"
LC_IDENTIFICATION="el_GR.UTF-8"
LC_ALL=el_GR.UTF-8
yianni@storage:~> LC_ALL=en_US.UTF-8 mythpreviewgen --infile 201602241sample.ts --seconds 5 --outfile srs.jpg

2016-02-26 16:25:05.559535 C  mythpreviewgen version: master [v0.28-pre-3622-g666666b-dirty] www.mythtv.org
2016-02-26 16:25:05.559583 C  Qt version: compile: 5.4.2, runtime: 5.4.2
2016-02-26 16:25:05.559593 N  Enabled verbose msgs:  general
2016-02-26 16:25:05.559614 N  Setting Log Level to LOG_INFO
2016-02-26 16:25:05.570455 I  Added logging to the console
2016-02-26 16:25:05.595725 I  Setup Interrupt handler
2016-02-26 16:25:05.595753 I  Setup Terminated handler
2016-02-26 16:25:05.595773 I  Setup Segmentation fault handler
2016-02-26 16:25:05.595791 I  Setup Aborted handler
2016-02-26 16:25:05.595808 I  Setup Bus error handler
2016-02-26 16:25:05.595824 I  Setup Floating point exception handler
2016-02-26 16:25:05.595839 I  Setup Illegal instruction handler
2016-02-26 16:25:05.595882 I  Setup Real-time signal 0 handler
2016-02-26 16:25:05.595918 I  Setup Hangup handler
2016-02-26 16:25:05.596117 N  Using runtime prefix = /usr
2016-02-26 16:25:05.596128 N  Using configuration directory = /home/yianni/.mythtv
2016-02-26 16:25:05.596245 I  Assumed character encoding: el_GR.UTF-8
2016-02-26 16:25:05.596653 I  Using localhost value of storage
2016-02-26 16:25:05.614109 N  Setting QT default locale to el_GR
2016-02-26 16:25:05.614126 I  Current locale el_GR
2016-02-26 16:25:05.614191 N  Reading locale defaults from /usr/share/mythtv//locales/el_gr.xml
2016-02-26 16:25:05.623339 I  Preview from time spec
2016-02-26 16:25:05.707295 I  AFD: codec MP2 has 2 channels
2016-02-26 16:25:05.707372 I  AFD: Opened codec 0x172f020, id(MP2) type(Audio)
2016-02-26 16:25:05.711699 I  AFD: Opened codec 0x172e3a0, id(H264) type(Video)
2016-02-26 16:25:05.938652 I  Preview: Grabbed preview '201602241sample.ts' 720x576@5s
yianni@storage:~> la srs.jpg
-rw-rw-rw- 1 yianni users 45K Φεβ  26 16:25 srs.jpg

comment:56 Changed 4 years ago by Stuart Auchterlonie

Have a read of http://lists.mythtv.org/pipermail/mythtv-users/2015-October/382786.html there is a good description on how to keep different versions separate.

Regards Stuart

comment:57 in reply to:  55 Changed 4 years ago by JYA

Replying to Yianni Vidalis <yiannividalis@…>:

Ok, you won't believe it, but it was the LC_ALL variable (I knew I wasn't crazy!!!).

> locale
LANG=el_GR.UTF-8
LC_CTYPE="el_GR.UTF-8"
LC_NUMERIC="el_GR.UTF-8"
LC_TIME="el_GR.UTF-8"
LC_COLLATE="el_GR.UTF-8"
LC_MONETARY="el_GR.UTF-8"
LC_MESSAGES="el_GR.UTF-8"
LC_PAPER="el_GR.UTF-8"
LC_NAME="el_GR.UTF-8"
LC_ADDRESS="el_GR.UTF-8"
LC_TELEPHONE="el_GR.UTF-8"
LC_MEASUREMENT="el_GR.UTF-8"
LC_IDENTIFICATION="el_GR.UTF-8"
LC_ALL=el_GR.UTF-8
yianni@storage:~> LC_ALL=en_US.UTF-8 mythpreviewgen --infile 201602241sample.ts --seconds 5 --outfile srs.jpg

}}}

excellent thank you.

will try to reproduce it..

it's bizarre, because the stuff generating the string to configure the yadif filters doesn't use locales. plain sprintf.

comment:58 in reply to:  56 Changed 4 years ago by Yianni Vidalis <yiannividalis@…>

Replying to stuarta:

Have a read of http://lists.mythtv.org/pipermail/mythtv-users/2015-October/382786.html there is a good description on how to keep different versions separate.

Regards Stuart

Thanks, Stuart. That's very useful info.

Yianni

comment:59 Changed 4 years ago by JYA

can reproduce !

comment:60 Changed 4 years ago by Jean-Yves Avenard <jyavenard@…>

Resolution: fixed
Status: newclosed

In 64f431f9eecb0c9f9a48758949304e399dbf8cf0/mythtv:

Fix deinterlacer when using some locales.

Fixes #12666

comment:61 Changed 4 years ago by yiannividalis@…

A big thanks, Jean-Yves.

comment:62 Changed 4 years ago by JYA

so I trust it's all working for you now...

comment:63 Changed 4 years ago by yiannividalis@…

Yes, everything is ok, sorry for taking so long to reply, I'd been investigating stg else, apparently irrelevant. You fixed it.

Note: See TracTickets for help on using tickets.